## ros-kinetic-rosmon-msgs 2.2.1

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)
project(rosmon_msgs)

find_package(catkin REQUIRED COMPONENTS
	message_generation
	std_msgs
)

add_message_files(FILES
	NodeState.msg
	State.msg
)

add_service_files(FILES
	StartStop.srv
)

generate_messages(DEPENDENCIES
	std_msgs
)

catkin_package()

=== debian/changelog ===
ros-kinetic-rosmon-msgs (2.2.1-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 07 Nov 2019 23:00:00 -0000

ros-kinetic-rosmon-msgs (2.2.0-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 28 Oct 2019 23:00:00 -0000

ros-kinetic-rosmon-msgs (2.1.1-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-rosmon-msgs (2.1.0-1xenial) xenial; urgency=high

  * Handle namespaces in service calls correctly, PR #80
  * Add namespaces to status topics, PR #78
  * Contributors: Artur Miller, David Walsh, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 24 Jun 2019 22:00:00 -0000

ros-kinetic-rosmon-msgs (2.0.2-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-kinetic-rosmon-msgs (2.0.1-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-kinetic-rosmon-msgs (2.0.0-1xenial) xenial; urgency=high

  * split into separate packages for core, GUI, messages, PR #72
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 10 Mar 2019 23:00:00 -0000

ros-kinetic-rosmon-msgs (1.0.10-1xenial) xenial; urgency=high

  * main: exit gracefully on SIGTERM and SIGHUP as well (issue #59, PR #60)
  * launch: allow <arg default="XY"> in <include> tags (issue #57, PR #58)
    roslaunch allows this, so we should as well. Since it seems a bit
    confusing, we issue a warning when this happens.
    In these cases, <arg value="XY"> should be applicable and is much clearer.
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-kinetic-rosmon-msgs (1.0.9-1xenial) xenial; urgency=high

  * Fix race condition in integration test (issue #42, PR #54)
  * Clean namespace names properly to fix double slashes (issue #49, PR #53)
  * Respect ROS_NAMESPACE for nested launches (issue #46, PR #51)
  * gui: Sort Memory column correctly (issue #48, PR #50)
  * Try to find an executable *file* for nodes (issue #45, PR #47)
  * Add --stop-timeout option and launch file attribute (PR #37)
  * Handle params with leading slashes inside nodes (PR #40)
  * Add --no-start option (PR #39)
  * gui: Fix index bug in showContextMenu (PR #38)
  * Contributors: Max Schwarz, Nikos Skalkotos, Romain Reignier

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 19 Sep 2018 22:00:00 -0000

ros-kinetic-rosmon-msgs (1.0.8-1xenial) xenial; urgency=high

  * main: Add option for flushing the logfile
    Add --flush option that will flush the logfile after each entry.
  * Merge pull request #35 <https://github.com/xqms/rosmon/issues/35>
    More complete support for rosparam features
  * Merge pull request #34 <https://github.com/xqms/rosmon/issues/34>
    YAML quoted strings
  * launch: rosparam: support binary data
  * launch: rosparam: correctly handle explicit YAML type tags
  * launch: support rosparam angle computations
  * launch: always map YAML quoted values to string params
    These always get mapped to str by python's yaml.load, which is used by
    roslaunch, so we do the same here.
  * Contributors: Max Schwarz, Nikos Skalkotos

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 06 Aug 2018 22:00:00 -0000

ros-kinetic-rosmon-msgs (1.0.7-1xenial) xenial; urgency=high

  * Support Python 3 & select appropriate Python version.
    This fixes a mismatch on Debian Jessie, where rospack is linked against
    Python 2.7 and we would link against Python 3.4.
  * launch: substitution_python: support Python 3
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sat, 26 May 2018 22:00:00 -0000

ros-kinetic-rosmon-msgs (1.0.6-1xenial) xenial; urgency=high

  * test/xml: replace more multiline string Catch captures
    Sorry, somehow these slipped through - and I didn't have a good way of
    testing these locally without the buildfarm. I'm testing with gcc 4.8
    on trusty now, which seems to have matching behavior.
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 25 May 2018 22:00:00 -0000

ros-kinetic-rosmon-msgs (1.0.5-1xenial) xenial; urgency=high

  * test/xml: avoid multiline Catch captures in exception tests
    These trigger some weird bug between g++ 5.4 and ccache, which is used
    in the ROS buildfarm. [...]
    This should fix compilation on the build farm.
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 24 May 2018 22:00:00 -0000

ros-kinetic-rosmon-msgs (1.0.4-1xenial) xenial; urgency=high

  * Merge pull request #30 <https://github.com/xqms/rosmon/issues/30> from xqms/feature/global_remap
    Support <remap> in other scopes than <node>. Fixes #28 <https://github.com/xqms/rosmon/issues/28>.
  * Merge pull request #29 <https://github.com/xqms/rosmon/issues/29> from xqms/feature/fmt
    Port all string formatting to fmt
  * update README.md, refer to ROS wiki
    Otherwise we duplicate the information.
  * launch: keep pointer to current element in ParseContext
    This is in preparation for a refactoring of the error handling code. This
    way, we don't have to explicitly pass line number information around - we
    can instead pull it from the ParseContext when the error is generated.
  * Merge pull request #27 <https://github.com/xqms/rosmon/issues/27> from xqms/feature/spec_tests
    roslaunch/XML spec unit tests
  * launch: launch_config: error on <include clear_params="true" />
    Even the roslaunch/XML spec says this is "extremely dangerous". We will
    explicitly *not* support that one for now.
  * launch: substitution_python: fix type deduction
    py::extract actually includes automatic conversion, so it is not
    appropriate for checking the returned object type. Use Python API instead.
  * launch: handle <node clear_params="true"> attribute
  * launch: launch_config: add support for <node cwd="..." />


=== debian/control ===
Source: ros-kinetic-rosmon-msgs
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rosmon-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-generation, ros-kinetic-std-msgs
Description: Messages for rosmon, the node launcher and monitor for ROS.
 rosmon is a replacement for the roslaunch tool, focused on performance, remote monitoring, and usability.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rosmon-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
